(function() {
  'use strict';
  kintone.events.on(['app.record.edit.show',"app.record.create.show"], function(event) {
    
    // ボタンのクリックイベントを取得
    let button = document.querySelector('.gaia-ui-actionmenu-save');
    // ボタンがマウスに近づいたときの処理
    // 一定の範囲内でランダムな位置にボタンを移動させる関数
    function moveButtonRandomly() {
      // ボタンの幅と高さを取得
      const buttonWidth = button.offsetWidth;
      const buttonHeight = button.offsetHeight;

      // 一定の範囲を設定
      const minX = 250; // 左端からの最小距離（ピクセル単位）
      const maxX = window.innerWidth - buttonWidth - 250; // 右端からの最大距離（ピクセル単位）
      const minY = 250; // 上端からの最小距離（ピクセル単位）
      const maxY = window.innerHeight - buttonHeight - 250; // 下端からの最大距離（ピクセル単位）

      // ボタンの新しい位置をランダムに計算
      const newX = Math.random() * (maxX - minX) + minX;
      const newY = Math.random() * (maxY - minY) + minY;

      // アニメーションを適用して移動
      button.style.transition = 'transform 0.05s ease-in-out';
      button.style.transform = `translate(${newX}px, ${newY}px)`;
    }

    // ボタンがマウスに近づいたときの処理
    button.addEventListener('mouseover', moveButtonRandomly);

    // ボタンがクリックされたときのデフォルトの動作を無効にする
    button.addEventListener('click', (event) => {
      event.preventDefault();
    });

  });
})();
